Bug 1123843

Summary: traceback with new-sources
Product: [Fedora] Fedora Reporter: Ales Kozumplik <akozumpl>
Component: fedpkgAssignee: Dennis Gilmore <dennis>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: bochecha, dennis, jzeleny, pingou, s
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fedpkg-1.18-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-08 08:40:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ales Kozumplik 2014-07-28 12:24:01 UTC
fedpkg-1.16-1.fc20.noarch

[akozumpl@localhost ~/fedpkg/libsolv (master)]$ fedpkg new-sources /home/akozumpl/rpmbuild/SOURCES/libsolv-5bd9589.tar.xz
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 13, in <module>
    from fedpkg.__main__ import main
  File "/usr/lib/python2.7/site-packages/fedpkg/__init__.py", line 14, in <module>
    import cli
  File "/usr/lib/python2.7/site-packages/fedpkg/cli.py", line 23, in <module>
    import pkgdb2client
ImportError: No module named pkgdb2client

Comment 1 Mathieu Bridon 2014-07-28 12:31:54 UTC
The fix would be to add the missing:

    Requires: packagedb-cli

For those impacted, until this is fixed, you can install the package manually as a workaround:

    $ sudo yum install packagedb-cli

Comment 2 Pierre-YvesChibon 2014-07-28 12:34:54 UTC
Should we set a minimal version of packagedb-cli required in the fedpkg spec?

Comment 3 Fedora Update System 2014-07-30 12:56:06 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19

Comment 4 Fedora Update System 2014-07-30 12:58:37 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20

Comment 5 Fedora Update System 2014-07-30 21:55:37 UTC
Package fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.18-1.fc20 rpkg-1.26-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9020/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-08 08:40:16 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-15 02:54:55 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.